Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004884opensim[REGION] Specific OpenSim Modulepublic2010-07-22 16:162013-01-11 13:32
Reporterthomax 
Assigned ToBlueWall 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0004884: Lightshare/Windlight function lsGetWindlightScene didn't give a value for WL_SUN_MOON_POSITION
Descriptionthe lsGetWindlightScene function didnt give any value for WL_SUN_MOON_POSITION simply because it was forgotten to copy & paste (or whatever :-)

find the following patch attached for a fast fix.

diff --git a/OpenSim/Region/ScriptEngine/Shared/Api/Implementation/LS_Api.cs b/OpenSim/Region/ScriptEngine/Shared/Api/Implementation/LS_Api.cs
index fe71ed5..01b014f 100644
--- a/OpenSim/Region/ScriptEngine/Shared/Api/Implementation/LS_Api.cs
+++ b/OpenSim/Region/ScriptEngine/Shared/Api/Implementation/LS_Api.cs
@@ -234,6 +234,9 @@ namespace OpenSim.Region.ScriptEngine.Shared.Api
                     case (int)ScriptBaseClass.WL_SUN_MOON_COLOR:
                         toadd.Add(new LSL_Rotation(wl.sunMoonColor.X, wl.sunMoonColor.Y, wl.sunMoonColor.Z, wl.sunMoonColor.W));
                         break;
+ case (int)ScriptBaseClass.WL_SUN_MOON_POSITION:
+ toadd.Add(new LSL_Float(wl.sunMoonPosition));
+ break;
                     case (int)ScriptBaseClass.WL_UNDERWATER_FOG_MODIFIER:
                         toadd.Add(new LSL_Float(wl.underwaterFogModifier));
                         break;
TagsNo tags attached.
Git Revision or version number0c0ac65d38c1c203ab318ace1a393baa625c48ba
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono Versiontrunk
Viewer
Attached Filespatch file icon lightshare.patch [^] (966 bytes) 2010-07-22 16:16 [Show Content]

- Relationships

-  Notes
(0020226)
BlueWall (administrator)
2011-10-22 10:11

added to: 3fc47275cff5f74e370a24f63f42a6bee023ee17

Thanks thomax!

- Issue History
Date Modified Username Field Change
2010-07-22 16:16 thomax New Issue
2010-07-22 16:16 thomax File Added: lightshare.patch
2010-07-22 16:16 thomax Git Revision => 0c0ac65d38c1c203ab318ace1a393baa625c48ba
2010-07-22 16:16 thomax SVN Revision => 0
2010-07-22 16:16 thomax Run Mode => Grid (Multiple Regions per Sim)
2010-07-22 16:16 thomax Physics Engine => ODE
2010-07-22 16:16 thomax Environment => Mono / Linux32
2010-07-22 16:16 thomax Mono Version => trunk
2010-07-22 16:17 thomax Status new => patch included
2011-10-22 10:11 BlueWall Status patch included => resolved
2011-10-22 10:11 BlueWall Fixed in Version => master (dev code)
2011-10-22 10:11 BlueWall Resolution open => fixed
2011-10-22 10:11 BlueWall Assigned To => BlueWall
2011-10-22 10:11 BlueWall Note Added: 0020226
2011-10-22 10:11 BlueWall Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker